/*
 * Copyright 
 *   2005 axYus - www.axyus.com
 *   2005 C.Marchand - christophe.marchand@axyus.com
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.cp.xemelios.auth;

import java.util.Properties;

import fr.gouv.finances.cp.xemelios.ui.MainWindow;

/**
 * Implementors must provide a default constructor with a MainWindow parameter :
 * <tt>public MyManager(MainWindow mw) { super(); setMainWindow(mw); }</tt>
 * @author chm
 *
 */
public abstract class AbstractAuthenticationManager implements AuthenticationManager {
	private Properties props = null;
	private MainWindow mainWindow;

	public AbstractAuthenticationManager() {
		super();
		this.props = new Properties();
	}
	public void setProperties(Properties props) {
		this.props.putAll(props);
	}
	public Properties getProperties() { return this.props; }
	public Object getProperty(String key) { return this.props.get(key); }
	protected void setMainWindow(MainWindow mw) { this.mainWindow = mw; }
	public MainWindow getMainWindow() { return mainWindow; }
}
